#!/bin/sh
source /etc/acpi/keys

code=$3

case $code in

    $rfkill)
        /etc/acpi/wlan.sh
    ;;
     $brightness) 
	val=`echo $code | cut -b8` #get the last digit
	let val=0x${val} #convert from hex to dec
	((val=(7*val))) #16 goes into 100 6.25 times
	if ((val > 100)) ; then val=100 ; fi
        #xbacklight -set $val -steps 1 #this would work except the bios overrides it
	killall yaf-splash
        yaf-splash -display :0 -margin 2 -bg lightblue -placement top -font "9x15B" -outline 0 -timeout 2 -text "Brightness: ${val}% "&
        ;;
     $vgaswitch)  #
		#echo "LCD" > /dev/console &
		killall yaf-splash
		xrandr | grep "VGA connected"
		if (($? == 0 )) ; then 
       		 	yaf-splash -display :0 -margin 2 -bg lightblue -placement top -font "9x15B" -outline 0 -timeout 2 -text "VGA Connected: Mirroring Display"&
			xrandr --output VGA --mode 800x600 --output LVDS --mode 800x600 
		else
       		 	yaf-splash -display :0 -margin 2 -bg lightblue -placement top -font "9x15B" -outline 0 -timeout 2 -text "VGA Not Connected"&
			xrandr --output LVDS --auto
		fi
		;;
	$backlightoff)  
		`xbacklight -set 0; yaf-splash -geometry 1024x600+0+0 ;xbacklight -set 100 -steps 1`&
		#clicking the mouse turns the light back on 
		#or any hotkey that kills yafsplash
		;;
	$screenrez)  
		which zarfy 
		if [[ $? == 0 ]] ; then
			zarfy&
		else
			xrandrshell&
		fi
		;;
   	 $powermode) 
       		 #eeecontrol
       		 #rxvt -e launch-eeecontrol.sh
       		 /usr/bin/launch-eeecontrol.sh&
       		 ;;
    	$taskman)
		which lxtask
		if [[ $? == 0 ]] ; then
			lxtask&
			exit
		fi
		which htop
		if [[ $? == 0 ]] ; then
			rxvt -e htop
			exit
		fi
		rxvt -e top&
		;;
    	$mute)
       	 #acpi_fakekey 113
       	 # tempestuous modification
       		 amixer set Master toggle
		amixer sget Master |grep off
		if (( $? == 1 )) ;then
			killall yaf-splash
        		yaf-splash -display :0 -margin 2 -bg lightblue -placement top -font "9x15B" -outline 0 -timeout 2 -text "Volume Unmuted"&
		else
			killall yaf-splash
        		yaf-splash -display :0 -margin 2 -bg lightblue -placement top -font "9x15B" -outline 0 -timeout 2 -text "Volume Muted"&
		fi
        	;;
    	$voldown)
       	 #acpi_fakekey 114
       	 # tempestuous modification
       		amixer sset Master on
       		amixer set Master 5%-
		percent=`amixer sget Master |grep % |cut -f2 -d\[ |cut -f1 -d\]`
		killall yaf-splash
        	yaf-splash -display :0 -margin 2 -bg lightblue -placement top -font "9x15B" -outline 0 -timeout 1 -text "Volume $percent"&
        	;;
    	$volup)
       	 #acpi_fakekey 115
       	 # tempestuous modification
       		amixer sset Master on
       		amixer set Master 5%+
		percent=`amixer sget Master |grep % |cut -f2 -d\[ |cut -f1 -d\]`
		killall yaf-splash
        	yaf-splash -display :0 -margin 2 -bg lightblue -placement top -font "9x15B" -outline 0 -timeout 1 -text "Volume $percent"&
    		;;
    	$acoff) 
		/etc/acpi/powersave.sh&
		;;
    	$acon)  
		/etc/acpi/performance.sh&
		;;
	$touchpad)
		TPSTATUS=`synclient -l | awk '/TouchpadOff/ {print $3}'`

		# if getting the status failed, exit
		if [ -z $TPSTATUS] ; then
			killall yaf-splash
        		yaf-splash -display :0 -margin 2 -bg lightblue -placement top -font "9x15B" -outline 0 -timeout 4 -text "You Need to Install Synclient to Toggle the Touchpad"&
			exit
		fi
			 
		if [[ $TPSTATUS == 0 ]]; then
			killall yaf-splash
        		yaf-splash -display :0 -margin 2 -bg lightblue -placement top -font "9x15B" -outline 0 -timeout 1 -text "Touchpad Off"&
   			synclient TouchpadOff=1
		else
			killall yaf-splash
        		yaf-splash -display :0 -margin 2 -bg lightblue -placement top -font "9x15B" -outline 0 -timeout 1 -text "Touchpad On"&
   			synclient TouchpadOff=0
		fi
		;;
esac

