#!/bin/sh

RADIO_CONTROL='/sys/class/rfkill/rfkill0/state'
RADIO_STATE=$(cat $RADIO_CONTROL);

WIFI_IF=$(cat /etc/acpi/wifi-interface)
WIFI_DRIVER=$(cat /etc/acpi/wifi-driver)

## At boot up the following 2 commands must be run:
#modprobe eeepc-laptop - NO. Loads automatically.
#modprobe eee
#acpid

case $RADIO_STATE in
    1)
	killall yaf-splash
        yaf-splash -display :0 -margin 2 -bg lightblue -placement top -font "9x15B" -outline 0 -timeout 3 -text "Shutting Down $WIFI_IF"
        ifconfig $WIFI_IF down 2>/dev/null
	#killall dhcpcd
        rmmod $WIFI_DRIVER 2>/dev/null
        sleep 1
        echo 0 > $RADIO_CONTROL
	killall yaf-splash
        yaf-splash -display :0 -margin 2 -bg lightblue -placement top -font "9x15B" -outline 0 -timeout 3 -text "$WIFI_IF Disabled"
    ;;
    0)
	killall yaf-splash
        yaf-splash -display :0 -margin 2 -bg lightblue -placement top -font "9x15B" -outline 0 -timeout 3 -text "Bringing Up $WIFI_IF"
        echo 1 > $RADIO_CONTROL
        sleep 1
        modprobe $WIFI_DRIVER 2>/dev/null
        sleep 1
        ifconfig $WIFI_IF up
        sleep 1
        /etc/rc.d/rc.network restart
	# dhcpcd -d wlan0&
	killall yaf-splash
        yaf-splash -display :0 -margin 2 -bg lightblue -placement top -font "9x15B" -outline 0 -timeout 3 -text "$WIFI_IF Enabled"
    ;;
esac
